Loading...
Searching...
No Matches
logging::LogInfo Struct Reference

General log info. More...

## Public Attributes

long | creationTime
| Creation time of log (monotonic clock timestamp).
int | idFirst
| Id of first entry of the log.
int | idNext
| Next unused entry id of the log.

## Detailed Description

General log info.

Definition at line 84 of file Log.idl.

## Member Data Documentation

## creationTime

long logging::LogInfo::creationTime

Creation time of log (monotonic clock timestamp).

Changed by clear() and service restart/reboot.

Definition at line 85 of file Log.idl.

## idFirst

int logging::LogInfo::idFirst

Id of first entry of the log.

Definition at line 87 of file Log.idl.

## idNext

int logging::LogInfo::idNext

Next unused entry id of the log.

Definition at line 88 of file Log.idl.

The documentation for this struct was generated from the following file:

- Log.idl